Astrolog 5.41G - overview of changes.

Detailed description of changes I have made in original version of
Astrolog, are given in history of changes. But there changes are in
chronological order and it's difficult to see main changes. Here changes
are devided between different areas, which helps to see, what's made.

Alois Treindl modified Astrolog 5.40 and named new version 5.41. It
contains the new Swiss Ephemeris instead of the older Placalc ephemeris.
The responsibility for this modification is with Alois Treindl. Original
Astrolog 5.41 with all related files is available at
ftp://www.astro.com/pub/astrolog/.

I used Astrolog 5.41 as a base, where are moved my changes, made in
previous versions.


                             Table of Contents

                      Back to Valja's astrology page.
                      Fixed Astrolog 5.30 - 5.40 bugs
                            Houses in Polar Zone
                             Added new objects
                             Power calculations
                     Handling of Stars and Arabic Parts
                       Animation of progressed charts
                            Changes in graphics
                             "Flowers" graphics
                            Calculation options
                            Customized rulership
                          8-bit characters support
                         Alternative interpretation
                           Miscellaneous changes

  ------------------------------------------------------------------------
*Fixed Astrolog 5.30 - 5.40 bugs

   * Corrected calculation of Alcabitius house cusps. Thanks to Per Dahlin
     (capella@algonet.se) who sent me definition of Alcabitius house cusps.

   * Fixed original Astrolog omission, where in case of -sr switch
     (equatorial coordinates instead ecliptical) coordinates of house cusps
     aren't transformed from ecliptics to equator, and planets itself was
     on equator, but was placed to ecliptical houses.

   * All -Z switch (Horizon) charts must be independent from -sr switch,
     because image of visible sky relatively to local horizon must be
     independent of coordinate system we use for planets (equatorial,
     ecliptical or some other). In original Astrolog all outputs of -Z
     switches changes in case of additional switch -sr. All routines,
     connected with -Z switch, transforms first coordinates from ecliptic
     to equator and then from equator to local horizon coordinates. In case
     of -sr switch first transform from ecliptic to equator is superfluous,
     because in case of -sr switch coordinates are already given in
     equatorial system. Since 5.30b this bug is fixed.

   * In Windows version using of parallel-contraparallel aspects can be set
     very simply. But Transit To Transit and Transit To Natal Hits are
     calculated for normal aspects independent of setting of Parallel
     aspect switch. Only effect is change of aspect names from conjunctions
     and Oppositions to Parallels and Contraparallels, but used are really
     normal aspects, also trines, squares etc. In original Astrolog
     searching of parallel and contraparallel hits is absent at all. In
     changed version this omissed part is added and is possible to search
     also Parallel and ContraParallel aspects like it was possible with
     normal aspects.

   * Fixed bug, where applayng-separating of comparison charts natal -
     progressed and natal - transit was wrong. Now with -rt and -rp switch
     natal chart planets velocities are made zero, and -rt (or -rp) with -a
     switch give correct applay-separate aspects (like -T switch).

   * Fixed bug in calculation of Gauquelin sectors in polar zone. In this
     case some planets can not rise and set during a day. Astrolog
     restricts such planets, but original version don't restores old
     restriction set when returning to standard wheel.

   * Fixed original Astrolog bug, appeared between versions 5.30 and 5.40 -
     positions of planets and Houses in Gauquelin graphics chart infoborder
     was wrong.

   * Fixed original Astrolog omission - Windows version "Help" menu looks
     for necessary files only in local directory. Now these files are
     searched through all directories, connected with astrolog (see
     helpfile for details of setting of environment variables) with
     searching order:

        o 1) Local directory
        o 2) Environment directories, set in autoexec.bat, one of them
          version specific (names of directories as examples, names of
          environment variables must be strict and in upper-case:
             + a) set ASTR5.41B=C:\aaaaa\541
             + b) set ASTROLOG=d:\abbbb
             + c) set ASTR=H:\miscfile
        o 3) Default directory, compiled in: C:\ASTROLOG

     If Astrolog doesn't find file, it doesn't attempt to start wordpad or
     WEB browser but prints only warning, that it can't find file.

   * Fixed original astrolog bug. POF (in main objects) was wrong in case
     of equatorial coordinates (but in arabic parts list it was correct).

   * Fixed original Astrolog bug, where Local Horizon data (and also Prime
     Vertical) were off by up to several arc-minutes.

   * Fixed original Astrolog bug (Windows version), where "Time / Space
     Midpoint" chart is correct, but it was not possible to return back to
     "No relationship chart" - there was still previous "midpoint" chart.

   * In "Rising and Setting" chart fixed bug, where "Print Nearest Second"
     worked unproperly - seconds weren't shown for risings and settings.

     In this context more correct termin instead of "zenith" and "nadir" is
     astronomical termin "culmination" that means transit over meridian.
     There are two culminations: "upper culmination" when planet has
     highest position and "lower culmination" when planet has lowest
     position. So in the chart termins "zeniths" and "nadirs" are replaced
     by "culm.(up)" and "culm.(lo)" respectively.

   * Uncorrect object name "Nadir" has been replaced by corret "IC". Nadir
     has different meaning than IC, Nadir is the point on the sky opposite
     to Zenith.

   * Slightly improved Astrolog's behaviour in case of progressed and
     relationship charts. Earlyer Windows versions allowed to do
     progression and then do some relationship chart like Natal-Progressed.
     Or vice versa, when looking say Natal-Progressed chart switch also
     Progression "on". That all confused Astrolog and results were often
     unpredictable.

     Now any use of relationship charts (in menu "Info") switches off "Do
     Progression" (in "Chart" => "Progressions"). And vice versa, switching
     progression on (in "Chart" => "Progression") switches off any
     comparison. As result Astrolog is displaying just what it has to
     dasplay, no confusion.

   * Fixed orignal astrolog bug (appeared only in Windows version). When
     natal chart was opened from file with saved planets positions (not
     birth data), there only first output was correct, all next charts (as
     aspect list, transit searches, all comparison charts etc) had wrong
     planets positions.

     NB! Use such input files carefully! They are treated by astrolog as
     files "with no time and space", so a lot of chart types can't be used
     with them. An examples are all progression charts, because they needs
     birth-chart time to calculate progressions.

  ------------------------------------------------------------------------
*Houses in Polar Zone

   * Changed calculations of house cusps in Polar Zone. In some situations
     in Polar Zone (named by Per Dahlin "circumpolar situations") pairs ASC
     - DES must be reverted, because Zodiac is ascending in reverted
     direction. In such situations original Astrolog until 5.30 gives in
     most cases wrong house cusps. Since vesion 5.40 original Astrolog
     reverts ASC - DES.

     However, discussion in alt.astrology shows, that exist two points of
     view to flipping also MC -IC:

     1) MC is defined as upper culmination, then MC - IC aren't flipped,
     but MC is under horizon.
     2) MC is defined as culmination above horizon and MC - IC are flipped.

     In changed version user can select, flip in circumpolar situation only
     ASC or both ASC and MC, and house cusps seems correct.

  ------------------------------------------------------------------------
*Added new objects

   * Added Uranian Proserpina. So Astrolog 5.30e has 9 Uranians instead
     original 8. Proserpina is Uranian #8, (obj. #40) and last Uranian
     Poseidon is obj. #41. Remember about corresponding changes in
     astrolog.dat. All info about Proserpina I have is available here.

   * Added 25 fixed stars, listed here. Because added stars have apparent
     magnitude greater than 2.0, colors of star printout are changed. Stars
     brighter than (less than) magnitude 1.0, are red, with magnitude
     between 1.0 and 2.0 are orange, and stars with magnitudes greater than
     2.0 are dark red. Star name "Orion" is changed to Alnilam (epsilon
     Orionis), because one of added stars Mintaka (delta Orionis) is
     another star from Orion's belt (see helpfile of Astrolog, description
     of switch -U)

   * Added two points on the sky - Centrum of our Galaxy and Apex of Sun.
     There are different data, better seems data from "Brockhaus ABC der
     Astronimie" (Leipzig 1961).

          Centrum of Galaxy: 17h 40' , -29 deg
          Apex of Sun: 18h 04' , +30 deg

     Best data of Centrum of Galaxy gives J. Shklowsky (- 17h 42' 30" -29
     deg 02', results of radioastronomy).

  ------------------------------------------------------------------------
*Power calculations

   * Planets powers calculations are overwritten.

   * Changed calculation of position powers: Added decreasing of power, if
     planet is in falling or debilitating sign or house. In aspects powers
     sum calculations now are used position powers of planets, given in
     first column, instead of fixed from astrolog.dat - now powers of
     aspects depends from planets positions.

   * Astrolog routines gives possibility to include to powers calculations
     also addition of power, if planets are in reception. Now planet powers
     are calculated in separate routine used for both -a and -j switches.
     Taked into account are: ruling, exalting, fall and debilitating in
     sign and house, also RECEPTION for main planets. As earlier, planet
     give addition to rulers through sign and house, also house cusps give
     addition to sign rulers.
     MAIN CHANGE:
     Astrologers are using two definitions of house ruler:
     1) classical (natural ruler) - ruler of 1st house is Mars, ruler of
     2nd house is Venus etc.
     2) accidental (situative ruler) - ruler of house is planet, which
     rules sign where is house cusp.
     Contemporary astrologers uses mostly situative rulers, and natural
     rulers are used as auxiliary.
     Original astrolog uses in power calculations only natural rulers.
     In current version influence through houses are divided to two parts:
        o 1/2 is given to natural rulers.
        o 1/2 is given to situative rulers.

   * To planets total powers are added powers of parallels and
     antiparallels. Orbs and orb additions are temporarily decreased 6
     times and aspect-powers decreased 4 times (for parallel 0.25). These
     dafault values can be changed. New switches -YOp <value> and -YOP
     <value> sets these coefficients. For example:
        o -YOp 5.0 - sets for parallel-antiparallel charts 5 TIMES narrower
          orbs (default 6.0)
        o -YOP 0.5 - sets for parallels power 0.5 (for conjunction is 1.0).

   * Aspect powers calculation is changed. With -a and -a0 switches instead
     of fixed powers of planets given in astrolog.dat file, powers
     calculated with -j switch are used (really, only positions part). In
     case of comparison charts for natal and progressed charts are used
     calculated planet powers, for transiting planets respective transiting
     powers from astrolog.dat file. If two natal charts cahrts are
     compared, calculated different powers for both charts are used.
     Changed are also power calculations with -T switch, now "-Tn" and "-rt
     infile now" gives same result.

   * By analogy with sign's powers calculations is added house's powers
     calculation. (in DOS version switch -j0).

   * See also more detailed description of power calculations in changed
     versions.

  ------------------------------------------------------------------------
*Handling of Stars and Arabic Parts

   * Added alternative way to restrict stars. Originally if all stars are
     unrestricted, using of -U switch caused garbage of graphics wheel
     chart from aspect lines between all stars, also star orbs are fixed
     2.0 deg.

     Since version 5.30a are added switches, which allows SET aspect ORBS
     for stars (in degrees), default 1.2 deg, and switch on/off alternative
     star restrictions.
     In alternative case automatically are unrestricted only stars, which
     conjuncts or have any aspect with other unrestricted objects. These
     "unrestriciton rules" can be set by user.

   * Stars needs really very narrow orbs, about 1 deg or narrower, and in
     version 5.30a orb additions of objects aren't used for aspects with
     stars, because orb-addition may be in this case greater than orb
     itself.

   * Original Astrolog has ability to display positions of 177 Arabic
     Parts. But there aren't displayed aspects to other objects. Since
     version 5.30a is added possibility to show only Parts, which have some
     aspects with other unrestricted objects, and to show these aspects.
     Orbs can be set by user, default is 1.0 degree.

     Here you can look example of output with default settings.

   * Since version 5.41Cstars calculations moved to Swiss Ephemeris, which
     improved precision of calculations. Additional file fixstars.ast is
     necessary. That's specially modified file fixstars.cat from SWEPH,
     which contains data of about 800 fixed stars (actually fixstars.ast is
     last version of fixstars.cat, where data of stars, used by Astrolog,
     are copied to first 74 lines). There are traditional name of star
     (like Aldebaran), canonical name (like alTau), ephemeris and
     magnitude. Without this file all stars calculations are made as in
     previous versions.

        o If fixstars.ast file is used, name and maginitude from file
          overwrites these internal data of Astrolog and are printed out in
          listings etc. In some printouts are used also canonical names of
          stars.

        o Stars are searched by line (star) number in fixstars.ast file, so
          copying of lines in astrolog.ast to first 74 positions gives
          possibilty to use all stars from this catalogue (in blocks by 74
          stars, allowed by changed Astrolog).

             + Note, that most stars in catalogue hasn't traditional name
               but only canonical name. If you want to use such a stars, I
               suggest to write canonical name also into traditional name
               field (like i'ts made with zeRet in fixstars.ast). In other
               case you will see blank starname(s) in all listings and if
               such stars are more than one, it's difficult to distinguish
               them (in some printouts they can be distinguished by
               canonical name).

        o Improved fixed stars ephemeris file fixstars.ast:
             + In previous file all omegas and omicrons had same canonical
               name - om. Now all omegas are clearly ome, all omicrons omi.
               That caused small changes in printout formats where
               canonical names of fixed stars are used.
             + Stars are reordered by constellations, which helps seek of
               necessary stars.
             + Added names to lot of stars.
             + Added some stars, used in astrology, but not listed earlyer.
               Now file contains data of over 1000 fixed stars.

        o Changed stars restrictions menu in Windows version. Internal
          names of stars, used by Astrolog, are overwritten by names from
          fixstars.ast file. Canonical names aren't used there, so if you
          will use stars with blank traditional name filed, it will be
          blank also in menu.

             + Note, that when Astrolog starts first time with disallowed
               fixed stars, internal stars names are used (because
               fixstars.ast file isn't used in this case). If you use
               modified fixstars.ast file, you have to cast once any chart
               with all fixed stars unrestricted. Then all stars names will
               be overwritten and with next charts you can see there new
               names from fixstars.ast and use them for restriction.

             + In case of alternative stars restriciton you don't need
               stars restriction menu, stars are restricted and
               unrestricted automagically. But after first chart with fixed
               stars there will be names from fixstars.ast.

   * Added stars ordering by Prime Vertical. In Windows version it can be
     choosen in Chart settings, in command line versions is added new
     switch -Up.

   * Stars colours can be customized. New switches:

          -YUb1 <value> for stars with magnitude below 1.0
          -YUb2 <value> for stars with magnitude between 1.0 and 2.0
          -YUb3 <value> for stars with magnitude over 2.0

          Colors: ( <value> )

          0 - black, 1 - maroon, 2 - dk. green, 3 - orange, 4 - dk. blue, 5
          - purple, 6 - dk. cyan, 7 - lt. gray, 8 - dk. gray, 9 - red, 10 -
          green, 11 - yellow, 12 - blue, 13 - magenta, 14 - cyan, 15 -
          white.

     "Save settings" in Windows version saves also these stars colours
     settings.

   * Since version 5.41E aspects between fixed stars are removed from all
     outputs.

   * Alternative stars restriction works now also with parallels. So if
     (with active "alternative restriction") you switch to parallels (View
     -> Parallel Aspects), unrestricted will be stars which parallels some
     object (if you increase apect numbers for alternative restriction,
     there will be unrestricted stars with contraparallels too).

   * To switch to parallels in command line (DOS or Unix) version (in Win
     version it's simple), there is new switch -YSP. It's useful also in
     some other cases (like in combination with -d switch to see
     parallel-contraparallel events during day/month etc).

   * Added automagic restriction of stars also by prime vertical. There are
     new switches:

          -YUP <value>

          where value:
               0 - switch this off
               1 - unrestricted are stars, which conjuncts some object
               (except cusps, POF etc).
               2 - unrestricted are stars with PV = 0, 45, 90, etc degrees
               3 - unrestricted are both above

          -YUO1 <orb1>
          -YUO2 <orb2>

          These switches are obvious, they sets orbs for automagic
          restrictions above (for YUP 1 and YUP 2 respectively), default
          orbs are 1.166666667 deg (1deg10').
          When you use -YUP <value>, don't worry about switching on/off
          "alternative stars restriction", it will be automatically back to
          previous value when you get -YUP 0.
          I dindn't add anyhing to Windows version menus, all can be
          comfortably done by macros like
          {M0 1 "_v -Z0 -U -Up -YUP 1"}
          DOS version supports all new switches above.

  ------------------------------------------------------------------------
*Animation of progressed charts

   * Added animation of graphics secondary progressed charts:

          astrolog -i infile.in -pn -X and
          astrolog -i infile.in -p mm dd yy -X

     That caused also changes in info-borders of graphical wheel charts
     (look just below).

  ------------------------------------------------------------------------
*Changes in graphics

   * Changed info-border in graphics wheel charts. In case of progression
     chart are displayed natal data, and also time and Julian day, where
     chart is progressed. In case of comparison charts are displayed info
     of both charts and for second chart is marked which chart it is:
     comparison, transit or progressed. These data changes respectively in
     case of animation. In case of graphics wheel charts can be displayed
     info about aspects: sums of harmonic and tension aspects, conjuctions,
     total aspectation (in case of single wheel just same info like in last
     line of -j0 text output).

   * In graphics wheel chart between house (sign) cusps and house numbers
     (sign icons) are added icons of dispositors.

   * In graphics wheel charts is changed dashenness of aspects lines: now
     aspect line is solid if orb of real aspect is below 1/4 of maximum
     allowed orb for current aspect (not fixed 2 degree independent of
     allowed orbs). In case of narrow orbs about 2 degree original Astrolog
     shows all aspects with solid lines, changed one only exact aspects
     with orb below 0.5 degree.

   * Changed -j -X graphics chart: situative rulers hierarchy is added, so
     now here is three hierarchy: sign dispositor, house natural dispositor
     and house situative dispositor. Here you can also compare outputs of
     original and changed versions of Astrolog.

   * Added animation of graphics secondary progressed charts:

          astrolog -i infile.in -pn -X and
          astrolog -i infile.in -p mm dd yy -X

   * Added new switch -Ze, where outputs are relatively to equator instead
     of local horizon. These outputs gives good illustration to parallels-
     contraparallels. Combinations -Z0e and -Ze0 are legal, also with -X
     switch. In Windows version added respective control in menu "Rare
     switches".

   * To graphics outputs with -Z -X switches (overview of space relatively
     to local horizon) are added positions of ecliptics (dark gray dashed
     line) and space equator (light gray dashed line). On ecliptics curve
     are marked beginnig points of zodiacal signs. So finally there are
     local horizon (horizontal stright), space equator (light gray dashed
     line) and ecliptics (dark gray dashed line). Point 0Ari is marked as
     red, 0Lib as green and all other beginning points of zodiacal sings as
     white points on ecliptics curve.

     Animation of such picture gives good possibility to look to moving of
     planets and important points in time and hepls to understand problems
     with polar MC and Asc.

   * To graphics wheel and biwheel charts added new feature. Original
     Astrolog (and all previous changed versions) shows all exact (or
     nearly exact) aspects as solid lines, undependently of real power of
     aspect. That means, exact aspect between two very weak planet is
     solid, and not exact (but much more powerful) aspect between two
     important planet is dashed.

     Astrolog 5.30f allows to change dashennes of aspect lines relatively
     to calculated power, not exactness. That means, solid are all aspects
     with power more than 8.0 (default setting), and weak aspects are
     dached even they are exact. New feature is realized in "bonus mode"
     (-Xi switch or pressing the i key in graphics wheel window). That
     allows change between "aspects by exactness" and "aspects by power" by
     the fly. In some cases changes in chart are great, in some cases
     small. To be sure, which mode is in using, to info border just below
     "Astrolog 5.30f" in bonus mode are now words "Bonus mode". Originally
     in bonus mode are shown only planets without aspects.

     One can change minimal aspect power to be solid by new switch -YPp.

          -YPp <value>

     Default value is 8.0. In Windows version value can be changed in menu
     "Obscure settings".

   * Added new graphics output - local horizon chart in Prime Vertical
     coordinates. In original Astrolog -Z0 switch has different meanings in
     text and graphics modes. In text mode it gets output with prime
     vertical coordinates, in graphics mode it's local horizon output (same
     with -Z), but with other point of view, named in Windows version
     "Horizon Chart Displays With Polar Center" (choose it in "Chart" ->
     "Chart Settings", then "Local Horizon" chart and then Graphics).

        o Original Astrolog output. You lie faced to zehith, head to Nord.
          Zenith is just in centre of screen, upper half is nordic
          hemisphere, internal circle represents local horizon, external
          dashed circle represents "stretched" opposite point Nadir.
          Planets, which are under horizon, are outside internal circle.
          Original Astrolog covered sky up to -90 deg in corners of picture
          and up tp -37 deg latitude in N, E, S and W directions (so area
          inside 53 deg to nadir in these directions is invisible). I
          rescaled picture, so now in these directions is invisible only
          area inside 9 degree from Nadir (visible is part between +90 and
          -81 degree latitude), and in corners is visible "stretched"
          Nadir.

        o To switch to added Prime Vertical mode, hit i (bonus mode). This
          system is exactly perpendicular to previous. You are faced to
          South - horizontal line in centre of screen is local horizon,
          just in centre of screen is southern point of horizon. Part
          inside of internal cicrcle is just in front of you, outside of
          cicrcle behind you. So Zenith is just upper crossing point of
          vertical line and circle, nadir lower one. This picture is scaled
          just as previous one, dached outern circle is "stretched" northen
          point on local horizon.

  ------------------------------------------------------------------------
*"Flowers" graphics

Added new graphics outputs. The idea was given by Theodore Natsinas the
author of "Astro - Chart ", (1992) published by Compupress - Greece. Any
comments or opinions about it can be mailed to: tednat@compulink.gr

   * a) Tension - harmonic chart. On graphics wheel chart instead of
     standard aspects distribution of tensions/harmonics are displayed.
     Over the Zodiac for every point is calculated sum of powers of all
     aspects to this point, oppositions and squares has negative influence,
     trines and sextiles positive (conjunctions aren't taken into account
     as neutral). Tension points are placed near center, harmonics near
     outside of wheel. Result is like some flower, where petals shows
     harmonic areas, intervals between petals shows tension areas. Ring in
     center shows neutral level. This chart can be reversed, and petals
     shows tension areas.

   * b) Aspectation chart. By analogy, for every point is calculated sum of
     all allowed aspects to this point, but now all influences are
     summarized with same sign. Now petals shows more aspected areas in a
     chart.
     Both charts can be rescaled.

   * Allowed are also analogous comparison charts. Here are two
     differences:
     a) In case of comparison charts orbs are temporarily decreased (look
     above), so "flower" can be with very sharp petals, but one can use
     -YOc switch to smooth picture. -YOc 1.5 seems enough.
     b) In different comparison charts different planet powers for outer
     planets ring are used: for comparison (-r0) planet powers are
     calculated (look point 7 above), for transit planets respective
     transit influences from astrolog.dat are used. Powers for inner planet
     ring are calculated like for natal. Here you can look such transit
     chart, where orbs are temporarily decreased 1.5 times (switch -YOc 1.5
     used).

   * Text output for such charts is added to standard influence output
     (-j0). There are six columns: name of planet, sum of harmonical
     aspects (trines and sextiles), sum of tension aspects (squares and
     oppositions), sum of harmonical and tension aspects, where tension
     aspects are negative, sum of conjuncions, total aspectation of planet.
     Note, that these aren't planet powers but parameters of respective
     point on chart. In other words, third column correspond to -Xa and -XA
     switches, and fourth one correspond to -Xc switch.

   * See also another description of flower graphics, sent to
     alt.astrology.

  ------------------------------------------------------------------------
*Calculation options

   * In comparison grid charts transit-natal (both text and graphics) is
     now used different planets restriction set for both input charts,
     second set is transiting planets restriction set (originally in this
     case was used for both charts one restriction set from first chart).

   * In case of comparison charts and parallel-antiparallel charts all orbs
     and orb-additions are temporarily decreased and restored after
     calculating of chart. In case of parallels-antiparallels also powers
     of aspects are decreased 4 times. Now no need to change aspect orbs in
     case of comparison or parallel-antiparrelel charts - they are
     automatically decreased.
     New switches -YOc <value> and -YOp <value> sets coefficients of
     temporary decreasing. For example:

          -YOc 2.0 - sets for comparison charts 2 TIMES narrower orbs
          (default 2.5)
          -YOp 5.0 - sets for parallel-antiparallel charts 5 TIMES narrower
          orbs (default 6.0)

     To disallow this option enough to set both coefficients to 1.0. In
     Windows version these switches are available in menu "Aspect
     Settings".

   * In standard text chart is added column with planet ruling, exalt etc
     in house, corresponding to situative house ruler. So after house
     number in column Rul. is now two letters - first one corresponding
     natural ruler, second one corresponding situative ruler.

   * In aspect configurations list (in dos version switch -g0) added
     "Mystic Rectangle" and "Kite". Aspect configuration list is now
     printed out also with aspect list (switch -a0). "Mystic Rectangle" and
     "Kite" are described in lesson by L. M. P. McPherson.

   * Astrolog computes position of Lilith (Dark Moon) using external
     ephemeris. When -b setting is off, Astrolog will display the position
     of the South Node instead (see helpfile.540, description of -HO
     switch). Position of Lilith is calculated by Swiss Ephemeris only if
     central planet is Earth, and in version 5.41F if central planet isn't
     Earth, Lilit is analogiously replaced by South Node even if -b switch
     is on.

   * Original Astrolog doesn't replace central object in comparison grid
     charts. In version 5.41F changes of central planet are reflected also
     there.

   * To switch to parallels in command line (DOS or Unix) version (in Win
     version it's simple), there is new switch -YSP. It's useful in
     different cases (like in combination with -d switch to see
     parallel-contraparallel events during day/month).

   * Time and location have new format - with seconds, both for chart's
     data inputs and outputs. Only outputs with old data format are events
     searching outputs, because with reasonably low division value they
     anyway can be off by a few minutes, so seconds seems unnecessary
     there.

          "Rising and setting" chart is only exception among searching
          charts that shows time with seconds. Even with default setting d:
          48 times are off by only a few seconds, and it is quick enough to
          show precise (by seconds) times with d: 96 in reasonably short
          time. Note, that values of azimuth angles in rising/setting
          moment are extremely sensitive of time changes (very small change
          of time causes big change in azimuth) and can be off by a few
          seconds. To improve azimuth precision one has to increase
          division value up to hundreds.

     All input files with old time/location format can be used, but all
     outputs are saved only in new time/location format.

   * Calculations precision improved - time-dependent obliquity of ecliptic
     is used instead of fixed value.

   * Added new switsh to change local horizon text output from default ENWS
     to NESW. One has just to add line

          =YZ

     to astrolog.dat file and it will be deafult setting.

   * Slightly changed Prime Vertical text chart output: Altitude and
     Azimuth in header have been replaced by Amplitude and Prm-Vrt. One can
     see this chart by choosing "Local Horizon" and setting "Horizon Chart
     with Polar Center / Prime Vert. (text)" in "Chart settings". Note,
     that this switch has different meanings for text and graphics charts:
     in text mode it switches between Local Horizon <=> Prime Vertical
     outputs, in graphics it switches between "normal wiew" and "view vith
     Polar Center". However, one can switch also between Polar Center and
     Pime Vert. also in graphics by hitting 'i' on the keyboard (switch to
     bonus mode).

   * Changed calculations of Solar Arc. Original Astrolog calculates there
     actually directions, where all planets and house cusps positions are
     moved forward to an amount equal in degrees to the number of years
     that have passed between the specified date and the chart in question.
     Because real (even mean or average) motion of Sun isn't 1 degree per
     day, resulting Solar Arc Sun position doesn't match with secondary
     progressed Sun position (but they must match).

     To correct this situation, there has been added another calculation of
     Solar Arc - first secondary progressed Sun's position is determined
     and then all chart components are moved accordlingly.

     To avoid misunderstanding, existing Solar Acr calculations remains,
     but have now corrected name "Degree Per Day/Month", as earlyer one can
     change amount of degrees per year (more strictly, amount of days for 1
     degree direction. See description of -p0 and -pd switches in
     helpfile.540). Added calculation is named "Solar Arc Directions" and
     there Sun's position follows secondary progressed Sun positions, all
     other point in chart are moved accordlingly.

     Existing switches -p0, -p0n remain as previously. For new correct
     "Solar Arc Directions" calculations new switches -p1 and -p1n are
     used. In Windows version all can be done through menus: "Chart" =>
     "Progressions..."

   * Slightly changed chraphics charts' infoborder and text charts' headers
     - secondary progressed charts are still named as "progressed", Solar
     Arc and "Degree per Year/Mont" are marked as "directed" with name of
     direction.

   * Graphics chart's infoborder has additional information: Obliquity of
     ecliptic, Sidereal time, Delta T (in seconds) and in case of sidereal
     chart Ayanamsha (sidereal offest).

     Note, that Ayanamsha has negative value and dafaults to Fagan Bradley.
     Ayanamsha control in "Calculation Settings" has a dropdown to allow
     quick selection of some common systems of sidereal astrology. The
     values are additions to default value and they are 0.0 for Fagan
     Bradley, 0.883333 (or 0 degrees 53') for N.C. Lahiri, 0.983333 (or 0
     degrees 59') for Krishnamurti, and 2.333333 (or 2 degrees 20') for
     B.V. Raman. On the screen has shown resulting value.

   * Date/time and Julian Day in the graphics charts' infoboredr has been
     colored:

          1. First (or single) data/time is always bright white.

          2. Second date/time is always yellow.

          3. JD (which is actually also time/date) has color of
          corresponding date/time above (as yellow in case of transit
          comparison or direction charts). If JD doesn't correspond to
          neither date/time above (as in case of progressions where JD
          corresponds to date/time of planets' positions on the screen),
          color is green. Note, that in case of Synastry and Comparison
          charts JD will be yellow, becsuse it corresponds to second
          date/time above (data of second chart).

   * Windows version controls of progressed charts have been polished. They
     looks more clear now. As default 365.2422 (tropical) year has used.

     In "Degree per Days" dropdown are also available:

          365.25636 (sidereal year)
          27.321582 (tropical month)
          27.321661 (sidereal month)
          29.530588 (synodic month)

     Other more exotic (like Draconic) years/months aren't included.

   * Astrolog computes position of Lilith (Dark Moon) using external
     ephemeris. When ephemeris are set off, Astrolog will display the
     position of the South Node instead (see helpfile.540, description of
     -HO switch). For users, who wants to use South Node always, there has
     been added new switch =YN which forces Astrolog to do it. This switch
     can be entered through "Edit" => "Enter Command Line" (Windows
     version) or simply added to astrolog.dat file to make this behaviour
     default.

   * By default Astrolog calculates mean Lilith. For users who wants to use
     osculting position of Lilith, new switch -YL has been added. As above,
     this switch can be added to astrolog.dat file, which makes such
     behaviour default.

  ------------------------------------------------------------------------
*Customized rulership

   * Added new feature. In original Astrolog user can customize rulership
     of a planet using switch -YJ. That means, changed are data, where
     planet is argument and sign is value, and lot of planets can be marked
     as rulers of same sign. But in original versions until 5.30 included,
     this switch don't changed data, where sign is argument, planet is
     value, and here for every sign is only one planet marked as ruler.
     Graphics dispositor chart uses just these data and this chart was
     independent of switch -YJ.

     Since version 5.30a is added new switch -Yr, which allows to change
     these data and set as ruler of sign any planet, even Uranian. As
     result, on graphics dispositor chart can be more than 10 fixed planets
     (originally Mercury and Venus rules two signs) but maximum 12, his own
     planet for every sign. Using of switch:

          -Yr <sign> <object>

     Example below changes ruler of Virgo to Proserpina and ruler of Libra
     to Chiron.

          -Yr 6 40 -Yr 7 11

     Here you can look an example of such chart.

     This switch changes also data, where planet is argument, that means,
     no need for additional switch -YJ <object> <sign> <old_value>. Such
     change of ruler of sign changes also results of planets powers
     calculations, because changed version of Astrolog uses dispositor data
     in power calculations.

     Using of this switch is probably very rare, so best way is put it to
     astrolog.dat file.

   * Changed default color of Venus from green (Air) to yellow (Earth)
     because Venus is always connected with Taurus (Earth), but often as
     ruler of Libra is used some other planet (for example Chiron). If one
     likes more original color, it can be simply restored by adding of one
     line to astrolog.dat file:

          -YJ 4 7 2

  ------------------------------------------------------------------------
*8-bit characters support

   * Added support of 8-bit characters in any place (name, place, custom
     interpretation etc.). In graphics mode Astrolog uses his own fonts, so
     here is compiled in support of codepage 850 (international latin).
     Support of 8-bit characters allows use of national characters, placed
     in second half of codepage. In text mode actual codepage of computer
     is supported.

  ------------------------------------------------------------------------
*Alternative interpretation

   * Added new interpretation way of natal charts, where interpretation is
     read from text files, prepared by user. There are three areas:

        o planets and aspects, where are described meanings of planets in
          signs and houses and their aspects.
        o houses, where are described meanings of positions of house cusps,
          planets in houses etc.
        o meanings of stars (if these are unrestricted).

   * Added alternative interpretation of positions of dispositors in signs
     and houses. You can find such interpretation in book "The Astrological
     Tarot" by Georges Mushery, published in 1994 by Senate, an imprint of
     Studio Editions Ltd, London.

   * Added alternative interpretation of TRANSIT-NATAL comparison charts,
     analogious to earlyer alternative interpretation of natal charts.

   * NOTE, that interpretation is read from additional text files, which
     must be filled by user. Here you can see full description of this
     feature. Sample interpretation files with descriptions are in file
     interalt.zip.

  ------------------------------------------------------------------------
*Miscellaneous changes

   * Added three new switches (YSa, YSj, YSs) for use in astrolog.dat file,
     which allows to change some default settings:

          =YSa - sets aspects in listings by default as
          applying-separating.
          =YSj - influence text chart shows by default also house's
          influence.
          =YSs - aspect listing shows by default also aspect summary.

   * To most text outputs added headers, where are described type of chart,
     in case of comparison charts also data of both charts. In case of
     multiply charts header is printed only once.

   * Changed some text outputs:

        o In chart listing object name field is increased to 10 characters,
          (important for stars!), for stars added canonical names instead
          of blank field for velocity.

        o In Local Horizon and Prime Vertical text charts added recpective
          line to header, object names increased to 7 characters.

   * To Windows version "Help" menu added new item - Open World Atlas,
     which opens WEB browser and connects to infoserver
     http://www.astro.ch/atlas/. (I use it often to find coordinates and
     timezones of different towns). URL is placed into file watlas.url,
     added to package.

   * To Windows version "Help" menu added new item - Open Fixed Stars,
     which opens WEB browser and connects to infoserver
     http://www.winshop.com.au/annew/. URL is placed into file stars.url,
     added to package.

   * Improved configuration file astrolog.dat, saved by Windows version -
     all switches of changed versions are in separate section:

          ; SWITCHES, NOT SUPPORTED BY ORIGINAL ASTROLOG

     That simplifies use of the same astrolog.dat file for both changed and
     original versions - for original version simply comment out all
     switches, described in this section.

   * Calculations of Uranianas are also moved from Matrix routines to Swiss
     Ephemeris. No need in additional ephemeris files, these ephemeris are
     in standard SWEPH package. Note, that Proserpina was added earlyer by
     myself and is calculated as previously by Matrix routines. So
     Proserpina is moved to last place and is now Uranian #9 (not #8 as
     earlyer).

   * All older versions of Astrolog showed parallel/contraparallel aspects
     as separating. To find out whether a parallel/contraparallel is
     applying, it's necessary to know speeds in latitude but Astrolog did
     not use them, and could not calculate these aspects at all.

     Fortunately the Swiss Ephemeris calculates speeds in latitude, so in
     version 5.41E real appplying/separating parallel/contraparallel
     aspects are calculated. Note that it's necessary to use the Swiss
     Ephemeris to calculate them. With _b switch (don't use ephemeris
     files) Matrix routines are used and speeds in latitude aren't
     calculated, and these aspects won't be calculated in that case - as in
     original version, aspects are then always shown as separating.

   * Colors of all main objects can be changed from default. New switch
     added:

          -Yq <object> <color>

          Just by standard Astrolog rules there are object and color
          numbers or names (see helpfile.540), so all examples below will
          give you blue Mars :)

               -Yq 5 12
               -Yq 5 blue
               -Yq mars 12
               -Yq mars blue

   * Added alternative date format for some outputs (like events search
     with -d switch), where abbreviature of month is printed instead of
     number of month (i.e. "12 Jan 2000" instead of original "12- 1-2000").
     That can be switched by new switch -Yn. Default setting is Astrolog's
     original one (numeric month), =Yn switches to abbreviatures.

   * Names and abbreviatures of aspects can be customized. New switches:

          -An <n> <name>
          -AA <n> <abbreviature>

          There n is number of aspect, name and abbreviature are new name
          and abbreviature for this aspect. Best way to use is put them to
          astrolog.dat file.

          NB! <abbreviature> MUST be three characters. Astrolog doesn't
          check lenght of new abbreviature, and in other case most outputs
          where aspect abbreviatures are used, will be distorted.

  ------------------------------------------------------------------------

  
